document.addEventListener("DOMContentLoaded", function() {
    // Set "All" button as active initially
    const defaultButton = document.querySelector('.filter-btn');
    defaultButton.classList.add('active');
    filterItems('all', defaultButton);
});

function filterItems(category, button) {
    const items = document.querySelectorAll('.item');
    const buttons = document.querySelectorAll('.filter-btn');
    
    // Remove 'active' class from all buttons
    buttons.forEach(btn => btn.classList.remove('active'));
    
    // Add 'active' class to the clicked button
    button.classList.add('active');
    
    if (category === 'all') {
        // Display all items except hidden ones
        items.forEach(item => {
            if (!item.classList.contains('gallery')) {
                item.style.display = 'block';
            } else {
                item.style.display = 'none'; // Keep category2 hidden initially
            }
        });
    } else {
        // Hide all items first
        items.forEach(item => item.style.display = 'none');
        
        // Display only the items that belong to the selected category
        const categoryItems = document.querySelectorAll(`.item.${category}`);
        categoryItems.forEach(item => item.style.display = 'block');
    }
}