document.addEventListener("DOMContentLoaded", function () {
    const headerTop = document.querySelector(".header-top");
    const mainHeader = document.querySelector(".main-header");

    if (!headerTop || !mainHeader) {
        console.error("headerTop or mainHeader element not found!");
        return;
    }

    let lastScrollY = window.scrollY;
    let headerTopHeight = headerTop.offsetHeight;

    console.log("headerTopHeight:", headerTopHeight);

    window.addEventListener("scroll", function () {
        const currentScrollY = window.scrollY;

        console.log("Scrolling...", currentScrollY);

        if (currentScrollY > lastScrollY && currentScrollY > headerTopHeight) {
            // Scrolling down
            console.log("Hiding headerTop, fixing mainHeader");
            headerTop.classList.add("hidden");
            mainHeader.classList.add("fixed");
        } else if (currentScrollY <= headerTopHeight) {
            // Scrolling up
            console.log("Showing headerTop, unfixing mainHeader");
            headerTop.classList.remove("hidden");
            mainHeader.classList.remove("fixed");
        }

        lastScrollY = currentScrollY;
    });
});
